Update Job Notification Settings by Admin
PUT /admin/user/{userid}/job-notification-settings
PUT
/admin/user/{userid}/job-notification-settings
Allow admins to update job notification settings for each day of the week and worker classifications for a specific user by their user ID.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” userid
required
string
User ID of the professional
Request Body
Section titled “Request Body ”Request payload to update job notification settings and worker classifications
Request to update job notification settings for the week and worker types.
object
contractor
boolean
true employee
boolean
friday
required
boolean
true monday
required
boolean
true saturday
required
boolean
sunday
required
boolean
true thursday
required
boolean
tuesday
required
boolean
wednesday
required
boolean
trueResponses
Section titled “ Responses ”Job notification settings and worker classifications updated successfully
Bad Request: userId is required or invalid request body
object
error
string
some meaningful error messageInternal Server Error: failed to update settings
object
error
string
some meaningful error message